%define pkg_name        Net-Domain-ExpireDate
%define pkg_version     0.80
%define rpm_pkg_version 0.80
%define rpm_pkg_release 1.n0i.1

Summary:       Obtain expiration date of domain names
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DE/DESPAIR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::Piece) >= 1
BuildRequires: perl(Net::Whois::Raw) >= 1.30
BuildRequires: perl(Test::More) >= 0.50


%description
Net::Domain::ExpireDate gets WHOIS information of given domain using
Net::Whois::Raw and tries to obtain expiration date of domain.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Sep 06 2007 Marius Feraru <altblue@n0i.net> - 0.80-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.80
